<?php
/**
 * Easy Digital Downloads Theme Updater
 *
 * @package EDD Sample Theme
 */

// Includes the files needed for the theme updater
if ( !class_exists( 'EDD_Theme_Updater_Admin' ) ) {
	include( dirname( __FILE__ ) . '/theme-updater-admin.php' );
}

// Loads the updater classes
$updater = new EDD_Theme_Updater_Admin(

	// Config settings
	$config = array(
		'remote_api_url' => LANDINGPRESS_URL, // Site where EDD is hosted
		'item_name' => LANDINGPRESS_THEME_NAME, // Name of theme
		'theme_slug' => LANDINGPRESS_THEME_SLUG, // Theme slug
		'version' => LANDINGPRESS_THEME_VERSION, // The current version of this theme
		'author' => 'LandingPress', // The author of this theme
		'download_id' => '', // Optional, used for generating a license renewal link
		'renew_url' => '' // Optional, allows for a custom license renewal link
	),

	// Strings
	$strings = array(
		'theme-license' => __( 'Theme License', 'landingpress' ),
		'enter-key' => __( 'Enter your theme license key.', 'landingpress' ),
		'license-key' => __( 'License Key', 'landingpress' ),
		'license-action' => __( 'License Action', 'landingpress' ),
		'deactivate-license' => __( 'Deactivate License', 'landingpress' ),
		'activate-license' => __( 'Activate License', 'landingpress' ),
		'status-unknown' => __( 'License status is unknown.', 'landingpress' ),
		'renew' => __( 'Renew?', 'landingpress' ),
		'unlimited' => __( 'unlimited', 'landingpress' ),
		'license-key-is-active' => __( 'License key is active.', 'landingpress' ),
		'expires%s' => __( 'Expires %s.', 'landingpress' ),
		'%1$s/%2$-sites' => __( 'You have %1$s / %2$s sites activated.', 'landingpress' ),
		'license-key-expired-%s' => __( 'License key expired %s.', 'landingpress' ),
		'license-key-expired' => __( 'License key has expired.', 'landingpress' ),
		'license-keys-do-not-match' => __( 'License keys do not match.', 'landingpress' ),
		'license-is-inactive' => __( 'License is inactive.', 'landingpress' ),
		'license-key-is-disabled' => __( 'License key is disabled.', 'landingpress' ),
		'site-is-inactive' => __( 'Site is inactive.', 'landingpress' ),
		'license-status-unknown' => __( 'License status is unknown.', 'landingpress' ),
		'update-notice' => __( "Updating this theme will lose any customizations you have made. 'Cancel' to stop, 'OK' to update.", 'landingpress' ),
		'update-available' => __('<strong>%1$s %2$s</strong> is available. <a href="%3$s" class="thickbox" title="%4s">Check out what\'s new</a> or <a href="%5$s"%6$s>update now</a>.', 'landingpress' )
	)

);