<?php
/**
 * LandingPress Theme Customizer
 *
 * @package LandingPress
 */

add_action( 'customize_register', 'landingpress_customize_settings' );
function landingpress_customize_settings( $wp_customize ) {

	if ( get_option( LANDINGPRESS_THEME_SLUG . '_license_key_status', false) != 'valid' ) {
		return;
	}
	
	// title_tagline = 20
	// colors = 40
	// header_image = 60
	// background_image = 80
	// static_front_page = 120

	$wp_customize->get_section( 'background_image' )->priority = 25;
	$wp_customize->get_section( 'background_image' )->title = __( 'Background', 'landingpress' );
	$wp_customize->get_control( 'background_color' )->section = 'background_image';

	$wp_customize->add_panel( 'landingpress', array(
		'title'    => __( 'LandingPress', 'landingpress' ),
		'priority' => 5
	) );

	$wp_customize->add_section( 'landingpress_pagebuilder', array(
		'title'    => __( 'Page Builder', 'landingpress' ),
		'panel'    => 'landingpress',
		'priority' => 2
	) );

	$wp_customize->add_section( 'landingpress_facebook_pixel', array(
		'title'    => __( 'Facebook Pixel', 'landingpress' ),
		'panel'    => 'landingpress',
		'priority' => 3
	) );

	$wp_customize->add_section( 'landingpress_google_tag_manager', array(
		'title'    => __( 'Google Tag Manager', 'landingpress' ),
		'panel'    => 'landingpress',
		'priority' => 3
	) );

	$wp_customize->add_section( 'landingpress_fonts', array(
		'title'    => __( 'Basic Fonts', 'landingpress' ),
		'panel'    => 'landingpress',
		'priority' => 5
	) );

	$wp_customize->get_section( 'colors' )->title = __( 'Basic Colors', 'landingpress' );
	$wp_customize->get_section( 'colors' )->panel = 'landingpress';
	$wp_customize->get_section( 'colors' )->priority = 10;

	$wp_customize->add_section( 'landingpress_customcss', array(
		'title'    => __( 'Custom CSS', 'landingpress' ),
		'panel'    => 'landingpress',
		'priority' => 15
	) );

	$wp_customize->add_section( 'landingpress_header_script', array(
		'title'    => __( 'Header Script', 'landingpress' ),
		'panel'    => 'landingpress',
		'priority' => 20
	) );

	$wp_customize->get_section( 'header_image' )->panel = 'landingpress';
	$wp_customize->get_section( 'header_image' )->priority = 25;
	$wp_customize->remove_control( 'header_textcolor' );
	$wp_customize->remove_control( 'display_header_text' );
	$wp_customize->get_control( 'header_image' )->section = 'landingpress_header';
	$wp_customize->get_control( 'header_image' )->priority = 5;

	$wp_customize->add_section( 'landingpress_header', array(
		'title'    => __( 'Header', 'landingpress' ),
		'panel'    => 'landingpress',
		'priority' => 30
	) );

	$wp_customize->add_section( 'landingpress_header_menu', array(
		'title'    => __( 'Header Menu', 'landingpress' ),
		'panel'    => 'landingpress',
		'priority' => 35
	) );

	$wp_customize->add_section( 'landingpress_breadcrumb', array(
		'title'    => __( 'Breadcrumb', 'landingpress' ),
		'panel'    => 'landingpress',
		'priority' => 40
	) );


	$wp_customize->add_section( 'landingpress_template_home', array(
		'title'    => __( 'Home / Front Page', 'landingpress' ),
		'panel'    => 'landingpress',
		'priority' => 100
	) );

	$wp_customize->add_section( 'landingpress_template_archive', array(
		'title'    => __( 'Blog / Archive Page', 'landingpress' ),
		'panel'    => 'landingpress',
		'priority' => 105
	) );

	$wp_customize->add_section( 'landingpress_template_post', array(
		'title'    => __( 'Post Type - Post', 'landingpress' ),
		'panel'    => 'landingpress',
		'priority' => 110
	) );

	$wp_customize->add_section( 'landingpress_template_page', array(
		'title'    => __( 'Post Type - Page', 'landingpress' ),
		'panel'    => 'landingpress',
		'priority' => 115
	) );

	$wp_customize->add_section( 'landingpress_template_attachment', array(
		'title'    => __( 'Post Type - Attachment', 'landingpress' ),
		'panel'    => 'landingpress',
		'priority' => 120
	) );

	$wp_customize->add_section( 'landingpress_template_comments', array(
		'title'    => __( 'Comments', 'landingpress' ),
		'panel'    => 'landingpress',
		'priority' => 125
	) );

	$wp_customize->add_section( 'landingpress_template_sidebar', array(
		'title'    => __( 'Sidebar', 'landingpress' ),
		'panel'    => 'landingpress',
		'priority' => 130
	) );

	$wp_customize->add_section( 'landingpress_footer_widgets', array(
		'title'    => __( 'Footer Widgets', 'landingpress' ),
		'panel'    => 'landingpress',
		'priority' => 200
	) );

	$wp_customize->add_section( 'landingpress_footer', array(
		'title'    => __( 'Footer', 'landingpress' ),
		'panel'    => 'landingpress',
		'priority' => 205
	) );

	$wp_customize->add_section( 'landingpress_footer_script', array(
		'title'    => __( 'Footer Script', 'landingpress' ),
		'panel'    => 'landingpress',
		'priority' => 210
	) );

	$wp_customize->add_section( 'landingpress_optimization', array(
		'title'    => __( 'Optimization', 'landingpress' ),
		'panel'    => 'landingpress',
		'priority' => 300,
		'description' => __( 'This is experimental feature. It can create plugin conflict, especially when you use any poor-coded wordpress plugin.', 'landingpress' )
	) );

	$wp_customize->get_section( 'landingpress_exportimport_section' )->panel = 'landingpress';
}

function landingpress_customize_controls( $controls ) {

	if ( get_option( LANDINGPRESS_THEME_SLUG . '_license_key_status', false) != 'valid' ) {
		return $controls;
	}
	
	$controls[] = array(
		'type'     => 'checkbox',
		'setting'  => 'landingpress_pagebuilder_elementor_disable',
		'label'    => __( 'DISABLE LandingPress Elementor', 'landingpress' ),
		'section'  => 'landingpress_pagebuilder',
		'default'  => '',
	);

	$controls[] = array(
		'type'     => 'text',
		'setting'  => 'landingpress_facebook_pixel_id',
		'label'    => __( 'Facebook Pixel ID', 'landingpress' ),
		'section'  => 'landingpress_facebook_pixel',
		'sanitize_callback' => 'landingpress_sanitize_nohtml',
	);

	$controls[] = array(
		'type'     => 'text',
		'setting'  => 'landingpress_google_tag_manager_id',
		'label'    => __( 'Google Tag Manager ID', 'landingpress' ),
		'section'  => 'landingpress_google_tag_manager',
		'sanitize_callback' => 'landingpress_sanitize_nohtml',
	);

	if ( function_exists('landingpress_get_googlefonts') ) {
		$controls[] = array(
			'type'     => 'select',
			'setting'  => 'landingpress_font_body',
			'label'    => __( 'Body Font', 'landingpress' ),
			'section'  => 'landingpress_fonts',
			'default'  => '',
			'choices'  => landingpress_get_googlefonts(),
		);
	}

	if ( function_exists('landingpress_get_googlefonts') ) {
		$controls[] = array(
			'type'     => 'select',
			'setting'  => 'landingpress_font_heading',
			'label'    => __( 'Heading Font', 'landingpress' ),
			'section'  => 'landingpress_fonts',
			'default'  => '',
			'choices'  => landingpress_get_googlefonts(),
		);
	}

	$controls[] = array(
		'type'     => 'color',
		'setting'  => 'landingpress_text_color',
		'label'    => __( 'Text Color', 'landingpress' ),
		'section'  => 'colors',
		'default'  => '',
		'style'    => 'body, button, input, select, textarea { color: [value] }',
	);

	$controls[] = array(
		'type'     => 'color',
		'setting'  => 'landingpress_heading_color',
		'label'    => __( 'Heading Color', 'landingpress' ),
		'section'  => 'colors',
		'default'  => '',
		'style'    => 'h1,h2,h3,h4,h5 { color: [value] }',
	);

	$controls[] = array(
		'type'     => 'color',
		'setting'  => 'landingpress_link_color',
		'label'    => __( 'Link Color', 'landingpress' ),
		'section'  => 'colors',
		'default'  => '',
		'style'    => 'a, a:visited { color: [value] }',
	);

	$controls[] = array(
		'type'     => 'color',
		'setting'  => 'landingpress_link_color_hover',
		'label'    => __( 'Link Color (Hover)', 'landingpress' ),
		'section'  => 'colors',
		'default'  => '',
		'style'    => 'a:hover { color: [value] }',
	);

	$controls[] = array(
		'type'     => 'color',
		'setting'  => 'landingpress_post_title_color',
		'label'    => __( 'Post Title Color', 'landingpress' ),
		'section'  => 'colors',
		'default'  => '',
		'style'    => '.entry .entry-title, .entry .entry-title a, .entry .entry-title a:visited { color: [value] }',
	);

	$controls[] = array(
		'type'     => 'color',
		'setting'  => 'landingpress_post_meta_color',
		'label'    => __( 'Post Meta Color', 'landingpress' ),
		'section'  => 'colors',
		'default'  => '',
		'style'    => '.entry-meta, .entry-meta a, .entry-meta a:visited { color: [value] }',
	);

	$controls[] = array(
		'type'     => 'color',
		'setting'  => 'landingpress_label_color',
		'label'    => __( 'Form Label Color', 'landingpress' ),
		'section'  => 'colors',
		'default'  => '',
		'style'    => 'label, .comment-form label { color: [value] }',
	);

	$controls[] = array(
		'type'     => 'color',
		'setting'  => 'landingpress_input_background',
		'label'    => __( 'Form Input/Textarea Background', 'landingpress' ),
		'section'  => 'colors',
		'default'  => '',
		'style'    => 'input[type="text"], input[type="email"], input[type="url"], input[type="password"], input[type="search"], textarea { background-color: [value] }',
	);

	$controls[] = array(
		'type'     => 'color',
		'setting'  => 'landingpress_input_color',
		'label'    => __( 'Form Input/Textarea Color', 'landingpress' ),
		'section'  => 'colors',
		'default'  => '',
		'style'    => 'input[type="text"], input[type="email"], input[type="url"], input[type="password"], input[type="search"], textarea { color: [value] }',
	);

	$controls[] = array(
		'type'     => 'color',
		'setting'  => 'landingpress_input_border',
		'label'    => __( 'Form Input/Textarea Border', 'landingpress' ),
		'section'  => 'colors',
		'default'  => '',
		'style'    => 'input[type="text"], input[type="email"], input[type="url"], input[type="password"], input[type="search"], textarea { border-color: [value] }',
	);

	$controls[] = array(
		'type'     => 'color',
		'setting'  => 'landingpress_button_background',
		'label'    => __( 'Form Button Background', 'landingpress' ),
		'section'  => 'colors',
		'default'  => '',
		'style'    => 'button, input[type=button], input[type=reset], input[type=submit] { background-color: [value] }',
	);

	$controls[] = array(
		'type'     => 'color',
		'setting'  => 'landingpress_button_border',
		'label'    => __( 'Form Button Border', 'landingpress' ),
		'section'  => 'colors',
		'default'  => '',
		'style'    => 'button, input[type=button], input[type=reset], input[type=submit] { border-color: [value] }',
	);

	$controls[] = array(
		'type'     => 'color',
		'setting'  => 'landingpress_button_color',
		'label'    => __( 'Form Button Color', 'landingpress' ),
		'section'  => 'colors',
		'default'  => '',
		'style'    => 'button, input[type=button], input[type=reset], input[type=submit] { color: [value] }',
	);

	$controls[] = array(
		'type'     => 'textarea',
		'setting'  => 'landingpress_script_header',
		'label'    => __( 'Header Script', 'landingpress' ),
		'description' => __( 'Useful for third party scripts, for example Google Analytics, Histats, Facebook Pixel, etc', 'landingpress' ),
		'section'  => 'landingpress_header_script',
		'sanitize_callback' => 'landingpress_sanitize_ads',
	);

	$controls[] = array(
		'type'     => 'checkbox',
		'setting'  => 'landingpress_header_hide',
		'label'    => __( 'Hide Header', 'landingpress' ),
		'section'  => 'landingpress_header',
		'default'  => '',
		'priority' => 3,
	);

	$controls[] = array(
		'type'     => 'image',
		'setting'  => 'landingpress_header_logo',
		'label'    => __( 'Header Logo', 'landingpress' ),
		'section'  => 'landingpress_header',
		'default'  => get_template_directory_uri().'/assets/images/logo.png',
		'priority' => 4,
	);

	$controls[] = array(
		'type'     => 'radio-buttonset',
		'setting'  => 'landingpress_header_alignment',
		'label'    => __( 'Header Alignment', 'landingpress' ),
		'section'  => 'landingpress_header',
		'default'  => 'center',
		'choices'  => array(
			'left' => __( 'Left', 'landingpress' ),
			'center' => __( 'Center', 'landingpress' ),
			'right' => __( 'Right', 'landingpress' ),
		),
		'style'  => array(
			'left' => '.site-branding{text-align:left;}',
			'center' => '.site-branding{text-align:center;}',
			'right' => '.site-branding{text-align:right;}',
		),
	);

	$controls[] = array(
		'type'     => 'radio',
		'setting'  => 'landingpress_header_placement',
		'label'    => __( 'Header Image Placement', 'landingpress' ),
		'section'  => 'landingpress_header',
		'default'  => 'background',
		'choices'  => array(
			'background' => __( 'Behind header logo (background image)', 'landingpress' ),
			'image' => __( 'Instead of header logo (image only)', 'landingpress' ),
			'image_title_top' => __( 'Have header logo placed before the image', 'landingpress' ),
			'image_title_bottom' => __( 'Have header logo placed after the image', 'landingpress' ),
			// 'image_desc_bottom' => __( 'Have site description placed after the image', 'landingpress' ),
		),
		'priority' => 6,
	);

	$controls[] = array(
		'type'     => 'color',
		'setting'  => 'landingpress_header_background',
		'label'    => __( 'Header Background Color', 'landingpress' ),
		'section'  => 'landingpress_header',
		'default'  => '',
		'style'    => '.site-branding { background-color: [value] }',
	);

	$controls[] = array(
		'type'     => 'slider',
		'setting'  => 'landingpress_header_paddingtop',
		'label'    => __( 'Header Top Padding', 'landingpress' ),
		'section'  => 'landingpress_header',
		'default'  => 20,
		'choices'  => array(
			'min' => 0,
			'max' => 150,
			'step' => 5,
		),
		'style'    => '.site-branding { padding-top: [value]px }',
	);

	$controls[] = array(
		'type'     => 'slider',
		'setting'  => 'landingpress_header_paddingbottom',
		'label'    => __( 'Header Bottom Padding', 'landingpress' ),
		'section'  => 'landingpress_header',
		'default'  => 20,
		'choices'  => array(
			'min' => 0,
			'max' => 150,
			'step' => 5,
		),
		'style'    => '.site-branding { padding-bottom: [value]px }',
	);

	$controls[] = array(
		'type'     => 'checkbox',
		'setting'  => 'landingpress_menu_sticky',
		'label'    => __( 'Sticky Menu', 'landingpress' ),
		'section'  => 'landingpress_header_menu',
		'default'  => '1',
		'priority' => 5,
	);

	$controls[] = array(
		'type'     => 'radio-buttonset',
		'setting'  => 'landingpress_menu_alignment',
		'label'    => __( 'Menu Alignment', 'landingpress' ),
		'section'  => 'landingpress_header_menu',
		'default'  => 'left',
		'choices'  => array(
			'left' => __( 'Left', 'landingpress' ),
			'center' => __( 'Center', 'landingpress' ),
			'right' => __( 'Right', 'landingpress' ),
		),
		'style'  => array(
			'left' => '',
			'center' => '.main-navigation {text-align:center; } .main-navigation ul.menu{ display:inline-block;vertical-align:top;} .main-navigation a,.main-navigation a:visited,.main-navigation li.header-searchform, .main-navigation li.header-minicart a {padding-left:10px;padding-right:10px;}',
			'right' => '.main-navigation {text-align:right; } .main-navigation ul.menu{ display:inline-block;vertical-align:top;} .main-navigation a,.main-navigation a:visited,.main-navigation li.header-searchform, .main-navigation li.header-minicart a {padding-left:20px;padding-right:0;}',
		),
		'priority' => 5,
	);

	$controls[] = array(
		'type'     => 'checkbox',
		'setting'  => 'landingpress_menu_search',
		'label'    => __( 'Show search form', 'landingpress' ),
		'section'  => 'landingpress_header_menu',
		'default'  => '1',
		'priority' => 5,
	);

	$controls[] = array(
		'type'     => 'color',
		'setting'  => 'landingpress_menu_background',
		'label'    => __( 'Menu Background Color', 'landingpress' ),
		'section'  => 'landingpress_header_menu',
		'default'  => '',
		'style'    => '.main-navigation, .main-navigation ul ul { background-color: [value] }',
	);

	$controls[] = array(
		'type'     => 'color',
		'setting'  => 'landingpress_menu_link_color',
		'label'    => __( 'Menu Link Color', 'landingpress' ),
		'section'  => 'landingpress_header_menu',
		'default'  => '',
		'style'    => '.main-navigation a, .main-navigation a:visited, .menu-toggle { color: [value] } .menu-bar { background : [value] } ',
	);

	$controls[] = array(
		'type'     => 'color',
		'setting'  => 'landingpress_menu_link_color_hover',
		'label'    => __( 'Menu Link Color (Hover)', 'landingpress' ),
		'section'  => 'landingpress_header_menu',
		'default'  => '',
		'style'    => '.main-navigation a:hover { color: [value] }',
	);

	$controls[] = array(
		'type'     => 'checkbox',
		'setting'  => 'landingpress_breadcrumb',
		'label'    => __( 'Show Breadcrumb', 'landingpress' ),
		'section'  => 'landingpress_breadcrumb',
		'default'  => '1',
	);

	$controls[] = array(
		'type'     => 'color',
		'setting'  => 'landingpress_breadcrumb_color',
		'label'    => __( 'Breadcrumb Color', 'landingpress' ),
		'section'  => 'landingpress_breadcrumb',
		'default'  => '',
		'style'    => '.breadcrumb { color: [value] }',
	);

	$controls[] = array(
		'type'     => 'color',
		'setting'  => 'landingpress_breadcrumb_link_color',
		'label'    => __( 'Breadcrumb Link Color', 'landingpress' ),
		'section'  => 'landingpress_breadcrumb',
		'default'  => '',
		'style'    => '.breadcrumb a, .breadcrumb a:visited { color: [value] }',
	);

	$controls[] = array(
		'type'     => 'checkbox',
		'setting'  => 'landingpress_footer_widgets',
		'label'    => __( 'Show Footer Widgets', 'landingpress' ),
		'section'  => 'landingpress_footer_widgets',
		'default'  => '1',
	);

	$controls[] = array(
		'type'     => 'color',
		'setting'  => 'landingpress_footer_widgets_background',
		'label'    => __( 'Footer Widgets Background Color', 'landingpress' ),
		'section'  => 'landingpress_footer_widgets',
		'default'  => '',
		'style'    => '.site-footer-widgets { background-color: [value] }',
	);

	$controls[] = array(
		'type'     => 'color',
		'setting'  => 'landingpress_footer_widgets_border',
		'label'    => __( 'Footer Widgets Border Color', 'landingpress' ),
		'section'  => 'landingpress_footer_widgets',
		'default'  => '',
		'style'    => '.site-footer-widgets { border-color: [value] }',
	);

	$controls[] = array(
		'type'     => 'color',
		'setting'  => 'landingpress_footer_widgets_title_color',
		'label'    => __( 'Footer Widgets Title Color', 'landingpress' ),
		'section'  => 'landingpress_footer_widgets',
		'default'  => '',
		'style'    => '.footer-widget.widget .widget-title { color: [value] }',
	);

	$controls[] = array(
		'type'     => 'color',
		'setting'  => 'landingpress_footer_widgets_color',
		'label'    => __( 'Footer Widgets Text Color', 'landingpress' ),
		'section'  => 'landingpress_footer_widgets',
		'default'  => '',
		'style'    => '.footer-widget.widget { color: [value] }',
	);

	$controls[] = array(
		'type'     => 'color',
		'setting'  => 'landingpress_footer_widgets_link_color',
		'label'    => __( 'Footer Widgets Link Color', 'landingpress' ),
		'section'  => 'landingpress_footer_widgets',
		'default'  => '',
		'style'    => '.footer-widget.widget a, .footer-widget.widget a:visited { color: [value] }',
	);

	$controls[] = array(
		'type'     => 'color',
		'setting'  => 'landingpress_footer_widgets_link_color_hover',
		'label'    => __( 'Footer Widgets Link Color (Hover)', 'landingpress' ),
		'section'  => 'landingpress_footer_widgets',
		'default'  => '',
		'style'    => '.footer-widget.widget a:hover { color: [value] }',
	);

	$controls[] = array(
		'type'     => 'color',
		'setting'  => 'landingpress_footer_widgets_line_color',
		'label'    => __( 'Footer Widgets Line Color', 'landingpress' ),
		'section'  => 'landingpress_footer_widgets',
		'default'  => '',
		'style'    => '.footer-widget.widget .widget-title, .footer-widget.widget li, .footer-widget.widget ul ul { border-color: [value] }',
	);

	$controls[] = array(
		'type'     => 'textarea',
		'setting'  => 'landingpress_footer_text',
		'label'    => __( 'Footer Text', 'landingpress' ),
		'section'  => 'landingpress_footer',
		'sanitize_callback' => 'wp_kses_post',
	);

	$controls[] = array(
		'type'     => 'color',
		'setting'  => 'landingpress_footer_background',
		'label'    => __( 'Footer Background Color', 'landingpress' ),
		'section'  => 'landingpress_footer',
		'default'  => '',
		'style'    => '.site-footer .container { background-color: [value] } .site-footer-widgets { border-radius: 0; } .site-inner { border-bottom-right-radius: 0; border-bottom-left-radius: 0; }',
	);

	$controls[] = array(
		'type'     => 'color',
		'setting'  => 'landingpress_footer_text_color',
		'label'    => __( 'Footer Text Color', 'landingpress' ),
		'section'  => 'landingpress_footer',
		'default'  => '',
		'style'    => '.site-footer { color: [value] }',
	);

	$controls[] = array(
		'type'     => 'color',
		'setting'  => 'landingpress_footer_link_color',
		'label'    => __( 'Footer Link Color', 'landingpress' ),
		'section'  => 'landingpress_footer',
		'default'  => '',
		'style'    => '.site-footer a, .site-footer a:visited { color: [value] }',
	);

	$controls[] = array(
		'type'     => 'color',
		'setting'  => 'landingpress_footer_link_color_hover',
		'label'    => __( 'Footer Link Color (Hover)', 'landingpress' ),
		'section'  => 'landingpress_footer',
		'default'  => '',
		'style'    => '.site-footer a:hover { color: [value] }',
	);

	$controls[] = array(
		'type'     => 'textarea',
		'setting'  => 'landingpress_script_footer',
		'label'    => __( 'Footer Script', 'landingpress' ),
		'description' => __( 'Useful for third party scripts, for example Google Analytics, Histats, Facebook Pixel, etc', 'landingpress' ),
		'section'  => 'landingpress_footer_script',
		'sanitize_callback' => 'landingpress_sanitize_ads',
	);

	$controls[] = array(
		'type'     => 'select',
		'setting'  => 'landingpress_archive_image',
		'label'    => __( 'Show featured image', 'landingpress' ),
		'section'  => 'landingpress_template_archive',
		'default'  => 'featured',
		'choices'  => array(
			'featured' => __( 'Featured Image', 'landingpress' ),
			'thumb-left' => __( 'Left Thumbnail', 'landingpress' ),
			'thumb-right' => __( 'Right Thumbnail', 'landingpress' ),
			'none' => __( 'No Image', 'landingpress' ),
		),
	);

	$controls[] = array(
		'type'     => 'checkbox',
		'setting'  => 'landingpress_archive_meta',
		'label'    => __( 'Show post meta', 'landingpress' ),
		'section'  => 'landingpress_template_archive',
		'default'  => '1',
	);

	$controls[] = array(
		'type'     => 'radio-buttonset',
		'setting'  => 'landingpress_archive_content',
		'label'    => __( 'Show content', 'landingpress' ),
		'section'  => 'landingpress_template_archive',
		'default'  => 'content',
		'choices'  => array(
			'content' => __( 'Full Content', 'landingpress' ),
			'excerpt' => __( 'Summary', 'landingpress' ),
		),
	);

	$controls[] = array(
		'type'     => 'checkbox',
		'setting'  => 'landingpress_archive_morelink',
		'label'    => __( 'Show "Continue Reading" link on post summary', 'landingpress' ),
		'section'  => 'landingpress_template_archive',
		'default'  => '1',
	);

	$controls[] = array(
		'type'     => 'text',
		'setting'  => 'landingpress_archive_morelink_text',
		'label'    => '"Continue reading" Text',
		'section'  => 'landingpress_template_archive',
	);

	$controls[] = array(
		'type'     => 'color',
		'setting'  => 'landingpress_pagination_background',
		'label'    => __( 'Pagination Background', 'landingpress' ),
		'section'  => 'landingpress_template_archive',
		'default'  => '',
		'style'    => '.posts-navigation li span, .posts-navigation li a, .page-links li span, .page-links li a { background-color: [value] }',
	);

	$controls[] = array(
		'type'     => 'color',
		'setting'  => 'landingpress_pagination_border',
		'label'    => __( 'Pagination Border', 'landingpress' ),
		'section'  => 'landingpress_template_archive',
		'default'  => '',
		'style'    => '.posts-navigation li span, .posts-navigation li a, .page-links li span, .page-links li a { border-color: [value] }',
	);

	$controls[] = array(
		'type'     => 'color',
		'setting'  => 'landingpress_pagination_text_color',
		'label'    => __( 'Pagination Text Color', 'landingpress' ),
		'section'  => 'landingpress_template_archive',
		'default'  => '',
		'style'    => '.posts-navigation li span, .page-links li span { color: [value] }',
	);

	$controls[] = array(
		'type'     => 'color',
		'setting'  => 'landingpress_pagination_link_color',
		'label'    => __( 'Pagination Link Color', 'landingpress' ),
		'section'  => 'landingpress_template_archive',
		'default'  => '',
		'style'    => '.posts-navigation li a, .page-links li a { color: [value] }',
	);

	$controls[] = array(
		'type'     => 'checkbox',
		'setting'  => 'landingpress_post_image',
		'label'    => __( 'Show featured image', 'landingpress' ),
		'section'  => 'landingpress_template_post',
		'default'  => '1',
	);

	$controls[] = array(
		'type'     => 'checkbox',
		'setting'  => 'landingpress_post_share_before',
		'label'    => __( 'Show social share before content', 'landingpress' ),
		'section'  => 'landingpress_template_post',
		'default'  => '',
	);

	$controls[] = array(
		'type'     => 'checkbox',
		'setting'  => 'landingpress_post_share_after',
		'label'    => __( 'Show social share after content', 'landingpress' ),
		'section'  => 'landingpress_template_post',
		'default'  => '1',
	);

	$controls[] = array(
		'type'     => 'checkbox',
		'setting'  => 'landingpress_post_related',
		'label'    => __( 'Show related posts', 'landingpress' ),
		'section'  => 'landingpress_template_post',
		'default'  => '1',
	);

	$controls[] = array(
		'type'     => 'checkbox',
		'setting'  => 'landingpress_post_related_image',
		'label'    => __( 'Show related post images', 'landingpress' ),
		'section'  => 'landingpress_template_post',
		'default'  => '1',
	);

	$controls[] = array(
		'type'     => 'checkbox',
		'setting'  => 'landingpress_post_comments',
		'label'    => __( 'Show comments', 'landingpress' ),
		'section'  => 'landingpress_template_post',
		'default'  => '1',
	);

	$controls[] = array(
		'type'     => 'color',
		'setting'  => 'landingpress_post_share_label_color',
		'label'    => __( 'Social Share Label Color', 'landingpress' ),
		'section'  => 'landingpress_template_post',
		'default'  => '',
		'style'    => '.share-label { color: [value]; border-color: [value] }',
	);

	$controls[] = array(
		'type'     => 'color',
		'setting'  => 'landingpress_post_related_separator_color',
		'label'    => __( 'Related Post Separator Color', 'landingpress' ),
		'section'  => 'landingpress_template_post',
		'default'  => '',
		'style'    => '.related-posts li { border-color: [value] }',
	);

	$controls[] = array(
		'type'     => 'checkbox',
		'setting'  => 'landingpress_page_share_before',
		'label'    => __( 'Show social share before content', 'landingpress' ),
		'section'  => 'landingpress_template_page',
		'default'  => '',
	);

	$controls[] = array(
		'type'     => 'checkbox',
		'setting'  => 'landingpress_page_share_after',
		'label'    => __( 'Show social share after content', 'landingpress' ),
		'section'  => 'landingpress_template_page',
		'default'  => '',
	);

	$controls[] = array(
		'type'     => 'checkbox',
		'setting'  => 'landingpress_page_comments',
		'label'    => __( 'Show comments', 'landingpress' ),
		'section'  => 'landingpress_template_page',
		'default'  => '1',
	);

	$controls[] = array(
		'type'     => 'checkbox',
		'setting'  => 'landingpress_attachment_share_before',
		'label'    => __( 'Show social share before content', 'landingpress' ),
		'section'  => 'landingpress_template_attachment',
		'default'  => '',
	);

	$controls[] = array(
		'type'     => 'checkbox',
		'setting'  => 'landingpress_attachment_share_after',
		'label'    => __( 'Show social share after content', 'landingpress' ),
		'section'  => 'landingpress_template_attachment',
		'default'  => '',
	);

	$controls[] = array(
		'type'     => 'checkbox',
		'setting'  => 'landingpress_attachment_comments',
		'label'    => __( 'Show comments', 'landingpress' ),
		'section'  => 'landingpress_template_attachment',
		'default'  => '1',
	);

	$controls[] = array(
		'type'     => 'checkbox',
		'setting'  => 'landingpress_comment_textarea_reverse',
		'label'    => __( 'Reverse Comment Textarea To The Bottom', 'landingpress' ),
		'section'  => 'landingpress_template_comments',
		'default'  => '',
	);

	$controls[] = array(
		'type'     => 'checkbox',
		'setting'  => 'landingpress_comment_url_hide',
		'label'    => __( 'Hide Comment URL (Website) Field', 'landingpress' ),
		'section'  => 'landingpress_template_comments',
		'default'  => '',
	);

	$controls[] = array(
		'type'     => 'text',
		'setting'  => 'landingpress_comment_form_title_reply',
		'label'    => '"Leave a Reply" Text',
		'section'  => 'landingpress_template_comments',
	);

	$controls[] = array(
		'type'     => 'text',
		'setting'  => 'landingpress_comment_form_title_reply_to',
		'label'    => '"Leave a Reply to %s" Text',
		'section'  => 'landingpress_template_comments',
	);

	$controls[] = array(
		'type'     => 'text',
		'setting'  => 'landingpress_comment_form_cancel_reply_link',
		'label'    => '"Cancel reply" Text',
		'section'  => 'landingpress_template_comments',
	);

	$controls[] = array(
		'type'     => 'text',
		'setting'  => 'landingpress_comment_form_label_submit',
		'label'    => '"Post Comment" Button Text',
		'section'  => 'landingpress_template_comments',
	);

	$controls[] = array(
		'type'     => 'color',
		'setting'  => 'landingpress_post_comments_box_border',
		'label'    => __( 'Comment Box Border Color', 'landingpress' ),
		'section'  => 'landingpress_template_comments',
		'default'  => '',
		'style'    => '.comment-body { border-color: [value] }',
	);

	$controls[] = array(
		'type'     => 'radio-buttonset',
		'setting'  => 'landingpress_sidebar_position',
		'label'    => __( 'Sidebar Position', 'landingpress' ),
		'section'  => 'landingpress_template_sidebar',
		'default'  => 'right',
		'choices'  => array(
			'right' => __( 'Right', 'landingpress' ),
			'left' => __( 'Left', 'landingpress' ),
		),
		'style'  => array(
			'right' => '',
			'left' => '#primary{float:right;}#secondary{float:left;}',
		),
	);

	$controls[] = array(
		'type'     => 'color',
		'setting'  => 'landingpress_sidebar_widgets_title_color',
		'label'    => __( 'Sidebar Widgets Title Color', 'landingpress' ),
		'section'  => 'landingpress_template_sidebar',
		'default'  => '',
		'style'    => '.widget .widget-title { color: [value] }',
	);

	$controls[] = array(
		'type'     => 'color',
		'setting'  => 'landingpress_sidebar_widgets_color',
		'label'    => __( 'Sidebar Widgets Text Color', 'landingpress' ),
		'section'  => 'landingpress_template_sidebar',
		'default'  => '',
		'style'    => '.widget { color: [value] }',
	);

	$controls[] = array(
		'type'     => 'color',
		'setting'  => 'landingpress_sidebar_widgets_link_color',
		'label'    => __( 'Sidebar Widgets Link Color', 'landingpress' ),
		'section'  => 'landingpress_template_sidebar',
		'default'  => '',
		'style'    => '.widget a, .widget a:visited { color: [value] }',
	);

	$controls[] = array(
		'type'     => 'color',
		'setting'  => 'landingpress_sidebar_widgets_link_color_hover',
		'label'    => __( 'Sidebar Widgets Link Color (Hover)', 'landingpress' ),
		'section'  => 'landingpress_template_sidebar',
		'default'  => '',
		'style'    => '.widget a:hover { color: [value] }',
	);

	$controls[] = array(
		'type'     => 'color',
		'setting'  => 'landingpress_sidebar_widgets_line_color',
		'label'    => __( 'Sidebar Widgets Line Color', 'landingpress' ),
		'section'  => 'landingpress_template_sidebar',
		'default'  => '',
		'style'    => '.widget .widget-title, .widget li, .widget ul ul { border-color: [value] }',
	);

	$controls[] = array(
		'type'     => 'checkbox',
		'setting'  => 'landingpress_optimization_jquery',
		'label'    => __( 'Move jquery from head to bottom', 'landingpress' ),
		'section'  => 'landingpress_optimization',
		'default'  => '',
	);

	$controls[] = array(
		'type'     => 'checkbox',
		'setting'  => 'landingpress_optimization_defer',
		'label'    => __( 'Defer parsing of JavaScript', 'landingpress' ),
		'section'  => 'landingpress_optimization',
		'default'  => '1',
	);

	// $controls[] = array(
	// 	'type'     => 'checkbox',
	// 	'setting'  => 'landingpress_optimization_version',
	// 	'label'    => __( 'Remove query strings from JavaScript & CSS', 'landingpress' ),
	// 	'section'  => 'landingpress_optimization',
	// 	'default'  => '',
	// );

	$controls[] = array(
		'type'     => 'textarea',
		'setting'  => 'landingpress_ad_site_content_before',
		'label'    => __( 'Ad - Before site content', 'landingpress' ),
		'section'  => 'landingpress_ads_sitewide',
		'sanitize_callback' => 'landingpress_sanitize_ads',
	);

	$controls[] = array(
		'type'     => 'textarea',
		'setting'  => 'landingpress_ad_site_content_after',
		'label'    => __( 'Ad - After site content', 'landingpress' ),
		'section'  => 'landingpress_ads_sitewide',
		'sanitize_callback' => 'landingpress_sanitize_ads',
	);

	$controls[] = array(
		'type'     => 'textarea',
		'setting'  => 'landingpress_ad_archive_row1_after',
		'label'    => __( 'Ad - After first post row', 'landingpress' ),
		'section'  => 'landingpress_ads_archive',
		'sanitize_callback' => 'landingpress_sanitize_ads',
	);

	$controls[] = array(
		'type'     => 'textarea',
		'setting'  => 'landingpress_ad_archive_row2_after',
		'label'    => __( 'Ad - After second post row', 'landingpress' ),
		'section'  => 'landingpress_ads_archive',
		'sanitize_callback' => 'landingpress_sanitize_ads',
	);

	$controls[] = array(
		'type'     => 'textarea',
		'setting'  => 'landingpress_ad_archive_row3_after',
		'label'    => __( 'Ad - After third post row', 'landingpress' ),
		'section'  => 'landingpress_ads_archive',
		'sanitize_callback' => 'landingpress_sanitize_ads',
	);

	$controls[] = array(
		'type'     => 'textarea',
		'setting'  => 'landingpress_ad_post_content_before',
		'label'    => __( 'Ad - Before post content', 'landingpress' ),
		'section'  => 'landingpress_ads_post',
		'sanitize_callback' => 'landingpress_sanitize_ads',
	);

	$controls[] = array(
		'type'     => 'textarea',
		'setting'  => 'landingpress_ad_post_content_after',
		'label'    => __( 'Ad - After post content', 'landingpress' ),
		'section'  => 'landingpress_ads_post',
		'sanitize_callback' => 'landingpress_sanitize_ads',
	);

	return $controls;
}
add_filter( 'landingpress_customize_controls', 'landingpress_customize_controls' );

function landingpress_customize_controls_customcss( $controls ) {

	$controls[] = array(
		'type'     => 'custom-css',
		'setting'  => 'landingpress_customcss',
		'label'    => __( 'Custom CSS', 'landingpress' ),
		'section'  => 'landingpress_customcss',
		'default'  => '',
		'sanitize_callback' => 'landingpress_sanitize_css',
	);

	return $controls;
}
add_filter( 'landingpress_customize_controls', 'landingpress_customize_controls_customcss', 999 );

