<?php 

add_action( 'customize_register', 'landingpress_wc_customize_settings' );
function landingpress_wc_customize_settings( $wp_customize ) {

	if ( get_option( LANDINGPRESS_THEME_SLUG . '_license_key_status', false) != 'valid' ) {
		return;
	}

	$wp_customize->add_panel( 'landingpress_wc', array(
		'title'    => __( 'LandingPress WooCommerce', 'landingpress' ),
		'priority' => 7
	) );

	$wp_customize->add_section( 'landingpress_wc_fb_pixel', array(
		'title'    => esc_html__( 'Facebook Pixel', 'landingpress-wp' ),
		'panel'    => 'landingpress_wc',
		'priority' => 3
	) );

	$wp_customize->add_section( 'landingpress_wc_colors', array(
		'title'    => __( 'Basic Colors', 'landingpress' ),
		'panel'    => 'landingpress_wc',
		'priority' => 5
	) );

	$wp_customize->add_section( 'landingpress_wc_shop', array(
		'title'    => __( 'Shop Page', 'landingpress' ),
		'panel'    => 'landingpress_wc',
		'priority' => 10
	) );

	$wp_customize->add_section( 'landingpress_wc_product', array(
		'title'    => __( 'Single Product Page', 'landingpress' ),
		'panel'    => 'landingpress_wc',
		'priority' => 20
	) );

	$wp_customize->add_section( 'landingpress_wc_cart', array(
		'title'    => __( 'Cart Page', 'landingpress' ),
		'panel'    => 'landingpress_wc',
		'priority' => 30
	) );

	$wp_customize->add_section( 'landingpress_wc_checkout', array(
		'title'    => __( 'Checkout Page', 'landingpress' ),
		'panel'    => 'landingpress_wc',
		'priority' => 40
	) );

	$wp_customize->add_section( 'landingpress_wc_myaccount', array(
		'title'    => __( 'My Account Page', 'landingpress' ),
		'panel'    => 'landingpress_wc',
		'priority' => 50
	) );

	$wp_customize->add_section( 'landingpress_wc_kodeunik', array(
		'title'    => __( 'Kode Unik Checkout', 'landingpress' ),
		'description' => __( 'Fitur "Kode Unik" ini sangat bermanfaat untuk Anda yang berjualan online di market lokal dengan metode pembayaran bank transer, untuk mempermudah melakukan verifikasi pembayaran dari customer.', 'landingpress' ),
		'panel'    => 'landingpress_wc',
		'priority' => 60
	) );

}

add_filter( 'landingpress_customize_controls', 'landingpress_wc_customize_controls' );
function landingpress_wc_customize_controls( $controls ) {

	if ( get_option( LANDINGPRESS_THEME_SLUG . '_license_key_status', false) != 'valid' ) {
		return $controls;
	}
	
	$controls[] = array(
		'type'     => 'checkbox',
		'setting'  => 'landingpress_wc_minicart',
		'label'    => __( 'Show minicart icon', 'landingpress' ),
		'section'  => 'landingpress_header_menu',
		'default'  => '1',
		'priority' => 5,
	);

	$controls[] = array(
		'type'     => 'color',
		'setting'  => 'landingpress_wc_color_saleflash',
		'label'    => __( 'Sale Flash Background Color', 'landingpress' ),
		'section'  => 'landingpress_wc_colors',
		'default'  => '',
		'style'    => '.woocommerce span.onsale { background: [value] }',
	);

	$controls[] = array(
		'type'     => 'color',
		'setting'  => 'landingpress_wc_color_price',
		'label'    => __( 'Price Color', 'landingpress' ),
		'section'  => 'landingpress_wc_colors',
		'default'  => '',
		'style'    => '.woocommerce ul.products li.product .price, .woocommerce div.product p.price, .woocommerce div.product span.price { color: [value] }',
	);

	$controls[] = array(
		'type'     => 'color',
		'setting'  => 'landingpress_wc_color_button_background',
		'label'    => __( 'Button Background Color', 'landingpress' ),
		'section'  => 'landingpress_wc_colors',
		'default'  => '',
		'style'    => '.woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button { background: [value] }',
	);

	$controls[] = array(
		'type'     => 'color',
		'setting'  => 'landingpress_wc_color_button_text',
		'label'    => __( 'Button Text Color', 'landingpress' ),
		'section'  => 'landingpress_wc_colors',
		'default'  => '',
		'style'    => '.woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button { color: [value] }',
	);

	$controls[] = array(
		'type'     => 'color',
		'setting'  => 'landingpress_wc_color_button_background_hover',
		'label'    => __( 'Button Background Color (Hover)', 'landingpress' ),
		'section'  => 'landingpress_wc_colors',
		'default'  => '',
		'style'    => '.woocommerce #respond input#submit:hover, .woocommerce a.button:hover, .woocommerce button.button:hover, .woocommerce input.button:hover { background: [value] }',
	);

	$controls[] = array(
		'type'     => 'color',
		'setting'  => 'landingpress_wc_color_button_text_hover',
		'label'    => __( 'Button Text Color (Hover)', 'landingpress' ),
		'section'  => 'landingpress_wc_colors',
		'default'  => '',
		'style'    => '.woocommerce #respond input#submit:hover, .woocommerce a.button:hover, .woocommerce button.button:hover, .woocommerce input.button:hover { color: [value] }',
	);

	$controls[] = array(
		'type'     => 'color',
		'setting'  => 'landingpress_wc_color_button_alt_background',
		'label'    => __( 'Button ALT Background Color', 'landingpress' ),
		'section'  => 'landingpress_wc_colors',
		'default'  => '',
		'style'    => '.woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt { background: [value] }',
	);

	$controls[] = array(
		'type'     => 'color',
		'setting'  => 'landingpress_wc_color_button_alt_text',
		'label'    => __( 'Button ALT Text Color', 'landingpress' ),
		'section'  => 'landingpress_wc_colors',
		'default'  => '',
		'style'    => '.woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt { color: [value] }',
	);

	$controls[] = array(
		'type'     => 'color',
		'setting'  => 'landingpress_wc_color_button_alt_background_hover',
		'label'    => __( 'Button ALT Background Color (Hover)', 'landingpress' ),
		'section'  => 'landingpress_wc_colors',
		'default'  => '',
		'style'    => '.woocommerce #respond input#submit.alt:hover, .woocommerce a.button.alt:hover, .woocommerce button.button.alt:hover, .woocommerce input.button.alt:hover { background: [value] }',
	);

	$controls[] = array(
		'type'     => 'color',
		'setting'  => 'landingpress_wc_color_button_alt_text_hover',
		'label'    => __( 'Button ALT Text Color (Hover)', 'landingpress' ),
		'section'  => 'landingpress_wc_colors',
		'default'  => '',
		'style'    => '.woocommerce #respond input#submit.alt:hover, .woocommerce a.button.alt:hover, .woocommerce button.button.alt:hover, .woocommerce input.button.alt:hover { color: [value] }',
	);

	$options = array( '' => 'Select ...' );
	for ($i=1; $i <=6; $i++) { 
		$options[$i] = $i;
	}
	$controls[] = array(
		'type'     => 'select',
		'setting'  => 'landingpress_wc_shop_columns',
		'label'    => __( 'Number of Product Columns per Row', 'landingpress' ),
		'section'  => 'landingpress_wc_shop',
		'default'  => '',
		'choices'  => $options,
	);

	for ($i=7; $i <=24; $i++) { 
		$options[$i] = $i;
	}
	$controls[] = array(
		'type'     => 'select',
		'setting'  => 'landingpress_wc_shop_number',
		'label'    => __( 'Number of Products per Page', 'landingpress' ),
		'section'  => 'landingpress_wc_shop',
		'default'  => '',
		'choices'  => $options,
	);

	$controls[] = array(
		'type'     => 'checkbox',
		'setting'  => 'landingpress_wc_shop_breadcrumb_disable',
		'label'    => __( 'Disable Breadcrumb', 'landingpress' ),
		'section'  => 'landingpress_wc_shop',
		'default'  => '',
	);

	$controls[] = array(
		'type'     => 'checkbox',
		'setting'  => 'landingpress_wc_shop_page_title_disable',
		'label'    => __( 'Disable Page Title', 'landingpress' ),
		'section'  => 'landingpress_wc_shop',
		'default'  => '',
	);

	$controls[] = array(
		'type'     => 'checkbox',
		'setting'  => 'landingpress_wc_shop_result_count_disable',
		'label'    => __( 'Disable Result Count', 'landingpress' ),
		'section'  => 'landingpress_wc_shop',
		'default'  => '',
	);

	$controls[] = array(
		'type'     => 'checkbox',
		'setting'  => 'landingpress_wc_shop_catalog_ordering_disable',
		'label'    => __( 'Disable Catalog Ordering', 'landingpress' ),
		'section'  => 'landingpress_wc_shop',
		'default'  => '',
	);

	$controls[] = array(
		'type'     => 'checkbox',
		'setting'  => 'landingpress_wc_shop_saleflash_disable',
		'label'    => __( 'Disable Sale Flash', 'landingpress' ),
		'section'  => 'landingpress_wc_shop',
		'default'  => '',
	);

	$controls[] = array(
		'type'     => 'checkbox',
		'setting'  => 'landingpress_wc_shop_title_disable',
		'label'    => __( 'Disable Product Title', 'landingpress' ),
		'section'  => 'landingpress_wc_shop',
		'default'  => '',
	);

	$controls[] = array(
		'type'     => 'checkbox',
		'setting'  => 'landingpress_wc_shop_rating_disable',
		'label'    => __( 'Disable Product Rating', 'landingpress' ),
		'section'  => 'landingpress_wc_shop',
		'default'  => '',
	);

	$controls[] = array(
		'type'     => 'checkbox',
		'setting'  => 'landingpress_wc_shop_price_disable',
		'label'    => __( 'Disable Product Price', 'landingpress' ),
		'section'  => 'landingpress_wc_shop',
		'default'  => '',
	);

	$controls[] = array(
		'type'     => 'checkbox',
		'setting'  => 'landingpress_wc_shop_addtocart_disable',
		'label'    => __( 'Disable AddToCart Button', 'landingpress' ),
		'section'  => 'landingpress_wc_shop',
		'default'  => '',
	);

	$controls[] = array(
		'type'     => 'text',
		'setting'  => 'landingpress_wc_shop_text_addtocart',
		'label'    => '"Add to cart" Button Text',
		'section'  => 'landingpress_wc_shop',
	);

	$controls[] = array(
		'type'     => 'text',
		'setting'  => 'landingpress_wc_shop_text_selectoptions',
		'label'    => '"Select options" Button Text',
		'section'  => 'landingpress_wc_shop',
	);

	$controls[] = array(
		'type'     => 'text',
		'setting'  => 'landingpress_wc_shop_text_readmore',
		'label'    => '"Read more" Button Text',
		'section'  => 'landingpress_wc_shop',
	);

	$controls[] = array(
		'type'     => 'checkbox',
		'setting'  => 'landingpress_wc_product_breadcrumb_disable',
		'label'    => __( 'Disable Breadcrumb', 'landingpress' ),
		'section'  => 'landingpress_wc_product',
		'default'  => '',
	);

	$controls[] = array(
		'type'     => 'checkbox',
		'setting'  => 'landingpress_wc_product_saleflash_disable',
		'label'    => __( 'Disable Sale Flash', 'landingpress' ),
		'section'  => 'landingpress_wc_product',
		'default'  => '',
	);

	$options = array( '' => 'Select ...' );
	for ($i=1; $i <=5; $i++) { 
		$options[$i] = $i;
	}
	$controls[] = array(
		'type'     => 'select',
		'setting'  => 'landingpress_wc_product_thumb_columns',
		'label'    => __( 'Number of Thumbnails per Row', 'landingpress' ),
		'section'  => 'landingpress_wc_product',
		'default'  => '',
		'choices'  => $options,
	);

	$controls[] = array(
		'type'     => 'checkbox',
		'setting'  => 'landingpress_wc_product_title_disable',
		'label'    => __( 'Disable Product Title', 'landingpress' ),
		'section'  => 'landingpress_wc_product',
		'default'  => '',
	);

	$controls[] = array(
		'type'     => 'checkbox',
		'setting'  => 'landingpress_wc_product_rating_disable',
		'label'    => __( 'Disable Product Rating', 'landingpress' ),
		'section'  => 'landingpress_wc_product',
		'default'  => '',
	);

	$controls[] = array(
		'type'     => 'checkbox',
		'setting'  => 'landingpress_wc_product_price_disable',
		'label'    => __( 'Disable Product Price', 'landingpress' ),
		'section'  => 'landingpress_wc_product',
		'default'  => '',
	);

	$controls[] = array(
		'type'     => 'checkbox',
		'setting'  => 'landingpress_wc_product_excerpt_disable',
		'label'    => __( 'Disable Product Short Description', 'landingpress' ),
		'section'  => 'landingpress_wc_product',
		'default'  => '',
	);

	$controls[] = array(
		'type'     => 'checkbox',
		'setting'  => 'landingpress_wc_product_addtocart_disable',
		'label'    => __( 'Disable AddToCart Button', 'landingpress' ),
		'section'  => 'landingpress_wc_product',
		'default'  => '',
	);

	$controls[] = array(
		'type'     => 'text',
		'setting'  => 'landingpress_wc_product_text_addtocart',
		'label'    => '"Add to cart" Button Text',
		'section'  => 'landingpress_wc_product',
	);

	$controls[] = array(
		'type'     => 'checkbox',
		'setting'  => 'landingpress_wc_product_meta_disable',
		'label'    => __( 'Disable Meta (Categories / Tags / SKU)', 'landingpress' ),
		'section'  => 'landingpress_wc_product',
		'default'  => '',
	);

	$controls[] = array(
		'type'     => 'checkbox',
		'setting'  => 'landingpress_wc_product_description_disable',
		'label'    => __( 'Disable Product Description', 'landingpress' ),
		'section'  => 'landingpress_wc_product',
		'default'  => '',
	);

	$controls[] = array(
		'type'     => 'checkbox',
		'setting'  => 'landingpress_wc_product_attributes_disable',
		'label'    => __( 'Disable Product Attributes', 'landingpress' ),
		'section'  => 'landingpress_wc_product',
		'default'  => '',
	);

	$controls[] = array(
		'type'     => 'checkbox',
		'setting'  => 'landingpress_wc_product_reviews_disable',
		'label'    => __( 'Disable Product Reviews', 'landingpress' ),
		'section'  => 'landingpress_wc_product',
		'default'  => '',
	);

	$controls[] = array(
		'type'     => 'checkbox',
		'setting'  => 'landingpress_wc_product_upsells_disable',
		'label'    => __( 'Disable Upsells Products', 'landingpress' ),
		'section'  => 'landingpress_wc_product',
		'default'  => '',
	);

	$controls[] = array(
		'type'     => 'checkbox',
		'setting'  => 'landingpress_wc_product_related_disable',
		'label'    => __( 'Disable Related Products', 'landingpress' ),
		'section'  => 'landingpress_wc_product',
		'default'  => '',
	);

	$controls[] = array(
		'type'     => 'checkbox',
		'setting'  => 'landingpress_wc_cart_crosssells_disable',
		'label'    => __( 'Disable Cross-sells Products', 'landingpress' ),
		'section'  => 'landingpress_wc_cart',
		'default'  => '',
	);

	$controls[] = array(
		'type'     => 'text',
		'setting'  => 'landingpress_wc_cart_text_checkout',
		'label'    => '"Proceed to Checkout" Button Text',
		'section'  => 'landingpress_wc_cart',
	);

	$controls[] = array(
		'type'     => 'text',
		'setting'  => 'landingpress_wc_checkout_text_order',
		'label'    => '"Place order" Button Text',
		'section'  => 'landingpress_wc_checkout',
	);

	$controls[] = array(
		'type'     => 'image',
		'setting'  => 'landingpress_wc_checkout_icon_paypal',
		'label'    => __( 'Custom Paypal Icon', 'landingpress' ),
		'section'  => 'landingpress_wc_checkout',
		'default'  => '',
	);

	$controls[] = array(
		'type'     => 'checkbox',
		'setting'  => 'landingpress_wc_fb_pixel_disable',
		'label'    => esc_html__( 'Disable Facebook Pixel on Single Product, Cart, Checkout page', 'landingpress-wp' ),
		'description' => esc_html__( 'Use this option if you use different WordPress plugin to handle facebook pixel for WooCommerce conversion tracking', 'landingpress-wp' ),
		'section'  => 'landingpress_wc_fb_pixel',
		'default'  => '',
	);

	$controls[] = array(
		'type'     => 'checkbox',
		'setting'  => 'landingpress_wc_fb_pixel_viewcontent_product',
		'label'    => esc_html__( 'Enable "ViewContent" event on single product page', 'landingpress-wp' ),
		'description' => esc_html__( 'Use this option if you want to track "ViewContent" conversion on single product page.', 'landingpress-wp' ),
		'section'  => 'landingpress_wc_fb_pixel',
		'default'  => '',
	);

	$controls[] = array(
		'type'     => 'checkbox',
		'setting'  => 'landingpress_wc_fb_pixel_purchase_pending',
		'label'    => esc_html__( 'Enable "Purchase" event on any order with On-Hold / Pending status', 'landingpress-wp' ),
		'description' => esc_html__( 'Use this option if you want to track "Purchase" conversion from any order using Bank Transfer gateway.', 'landingpress-wp' ),
		'section'  => 'landingpress_wc_fb_pixel',
		'default'  => '',
	);

	$controls[] = array(
		'type'     => 'checkbox',
		'setting'  => 'landingpress_wc_fb_pixel_content_ids',
		'label'    => esc_html__( 'Add "content_ids" information on ViewContent and AddToCart events', 'landingpress-wp' ),
		'description' => esc_html__( 'Use this option if ONLY you have active Product Catalog Feed.', 'landingpress-wp' ),
		'section'  => 'landingpress_wc_fb_pixel',
		'default'  => '',
	);

	$controls[] = array(
		'type'     => 'checkbox',
		'setting'  => 'landingpress_wc_kodeunik_enable',
		'label'    => __( 'Aktifkan fitur Kode Unik (3 angka acak) di halaman Checkout', 'landingpress' ),
		'section'  => 'landingpress_wc_kodeunik',
		'default'  => '',
	);

	$controls[] = array(
		'type'     => 'select',
		'setting'  => 'landingpress_wc_kodeunik_mode',
		'label'    => __( 'Mode Kode Unik', 'landingpress' ),
		'section'  => 'landingpress_wc_kodeunik',
		'default'  => 'min',
		'choices'  => array(
			'min' => __( 'Pengurangan (Minus)', 'landingpress' ),
			'plus' => __( 'Penambahan (Plus)', 'landingpress' ),
		),
		'description' => __( 'Mode pengurangan = diskon tambahan', 'landingpress' ).'<br/>'.__( 'Mode penambahan = biaya tambahan', 'landingpress' ),
	);

	$controls[] = array(
		'type'     => 'text',
		'setting'  => 'landingpress_wc_kodeunik_label',
		'label'    => __( 'Label', 'landingpress' ),
		'section'  => 'landingpress_wc_kodeunik',
		'sanitize_callback' => 'landingpress_sanitize_nohtml',
		'description' => __( 'Teks yang muncul di halaman checkout. Default: Kode Unik', 'landingpress' ),
	);

	return $controls;
}

add_action( 'after_setup_theme', 'landingpress_wc_theme_support' );
function landingpress_wc_theme_support() {
    add_theme_support( 'woocommerce' );
}

add_filter('landingpress_is_sidebar_active', 'landingpress_wc_sidebar_inactive');
function landingpress_wc_sidebar_inactive( $value ) {
	if ( is_product() || is_woocommerce() || is_cart() || is_checkout() || is_account_page() ) {
		return false;
	}
	return $value;
}

remove_filter('wp_nav_menu_items','landingpress_header_searchform', 10, 2);
add_filter('wp_nav_menu_items','landingpress_wc_header_searchform', 10, 2);
function landingpress_wc_header_searchform($items, $args) {
	if( get_theme_mod('landingpress_menu_search', '1') && $args->theme_location == 'header' ) {
		$form = get_search_form( false );
		$form = str_replace( ' role="search"', '', $form );
		$form = str_replace( 'placeholder="Search &hellip;"', 'placeholder="Search product &hellip;"', $form );
		$form = str_replace( '</form>', '<input type="hidden" name="post_type" value="product" /></form>', $form );
		$items .= '<li class="header-searchform">' . $form . '</li>';
	}
	return $items;
}

add_filter('wp_nav_menu_items','landingpress_header_minicart', 5, 2);
function landingpress_header_minicart($items, $args) {
	if( get_theme_mod('landingpress_wc_minicart', '1') && $args->theme_location == 'header' ) {
		$items .= '<li class="header-minicart"><a href="'.WC()->cart->get_cart_url().'"><i class="fa fa-shopping-cart" aria-hidden="true"></i> <span class="minicart-count">'.WC()->cart->get_cart_contents_count().'</span></a></li>';
	}
	return $items;
}

add_filter('add_to_cart_fragments', 'landingpress_header_minicart_count');
function landingpress_header_minicart_count( $fragments ) {
	$fragments['.header-minicart .minicart-count'] = '<span class="minicart-count">'. WC()->cart->get_cart_contents_count() .'</span>';
	return $fragments;
}

if ( get_option( LANDINGPRESS_THEME_SLUG . '_license_key_status', false) == 'valid' ) {
	if ( ! class_exists( 'LandingPress_WC_Ongkir_Shipping_Method' ) ) {
		define( 'LP_WC_ONGKIR_URL', trailingslashit( get_template_directory_uri() ) . 'addons/ongkir/' );
		define( 'LP_WC_ONGKIR_PATH', trailingslashit( get_template_directory() ) . 'addons/ongkir/' );
		require( LP_WC_ONGKIR_PATH . 'landingpress-wc-ongkir.php' );
	}
}

add_action( 'woocommerce_cart_calculate_fees', 'landingpress_wc_kode_unik' );
function landingpress_wc_kode_unik() {
	if ( get_theme_mod('landingpress_wc_kodeunik_enable') ) {
		$label = get_theme_mod('landingpress_wc_kodeunik_label');
		if ( !$label ) {
			$label = __( 'Kode Unik', 'landingpress' );
		}
		$mode = get_theme_mod('landingpress_wc_kodeunik_mode');
		if ( WC()->cart->subtotal != 0){
			if(! is_cart()){
	            $cost = rand(100, 999);
				if($cost != 0) {
					if ( $mode != 'plus' ) {
						$cost = -1*$cost;
					}
					WC()->cart->add_fee( $label, $cost);
				}
			}
		}
	}
}

add_filter( 'landingpress_facebook_pixel_position', 'landingpress_wc_facebook_pixel_position' );
function landingpress_wc_facebook_pixel_position( $position ) {
	if ( get_theme_mod('landingpress_wc_fb_pixel_disable') ) {
		if ( is_product() || is_cart() || is_checkout() ) {
			$position = 'inactive';
		}
	}
	else {
		if ( is_cart() ) {
			$position = 'footer';
		}
		else if ( is_checkout() ) {
			$position = 'footer';
		}
	}
	return $position;
}

add_filter( 'wp_head', 'landingpress_wc_facebook_pixel_event' );
function landingpress_wc_facebook_pixel_event() {
	if ( is_cart() ) {
		if ( WC()->cart->get_cart_contents_count() > 0 ) {
			landingpress_facebook_pixel_set_event( 'AddToCart' );
			if ( get_theme_mod('landingpress_wc_fb_pixel_content_ids') && function_exists('url_to_postid') ) {
				$notices_all  = WC()->session->get( 'wc_notices', array() );
				if ( isset( $notices_all['success'] ) ) {
					foreach ( $notices_all['success'] as $notice ) {
						if ( strpos($notice, 'button wc-forward') !== false ) {
							preg_match_all('/<a[^>]+href=([\'"])(.+?)\1[^>]*>/i', $notice, $matches);
							if ( isset( $matches[2][0] ) ) {
								$product_id = url_to_postid( $matches[2][0] );
								if ( $product_id > 0 ) {
									landingpress_facebook_pixel_set_data( array( 
										'content_ids' => $product_id,
										'content_type' => 'product'
									) );
								}
							}
						}
					}
				}
			}
		}
		else {
			landingpress_facebook_pixel_set_event( 'PageView' );
		}
	}
	else if ( is_checkout() ) {
		landingpress_facebook_pixel_set_event( 'PageView' );
	}
	else if ( is_product() && get_theme_mod('landingpress_wc_fb_pixel_viewcontent_product') ) {
		landingpress_facebook_pixel_set_event( 'ViewContent' );
		if ( get_theme_mod('landingpress_wc_fb_pixel_content_ids') ) {
			landingpress_facebook_pixel_set_data( array( 
				'content_ids' => get_the_ID(),
				'content_type' => 'product'
			) );
		}
	}
}

add_action( 'woocommerce_add_to_cart', 'landingpress_wc_facebook_pixel_event_addtocart', 10, 2 );
function landingpress_wc_facebook_pixel_event_addtocart( $cart_item_key, $product_id ) {
	landingpress_facebook_pixel_set_event( 'AddToCart' );
	if ( get_theme_mod('landingpress_wc_fb_pixel_content_ids') ) {
		landingpress_facebook_pixel_set_data( array( 
			'content_ids' => $product_id,
			'content_type' => 'product'
		) );
	}
}

add_action( 'woocommerce_ajax_added_to_cart', 'landingpress_wc_facebook_pixel_event_addtocart_ajax', 10, 2 );
function landingpress_wc_facebook_pixel_event_addtocart_ajax( $product_id ) {
	landingpress_facebook_pixel_set_event( 'AddToCart' );
	if ( get_theme_mod('landingpress_wc_fb_pixel_content_ids') ) {
		landingpress_facebook_pixel_set_data( array( 
			'content_ids' => $product_id,
			'content_type' => 'product'
		) );
	}
}

add_action( 'woocommerce_checkout_order_review', 'landingpress_wc_facebook_pixel_event_checkout' );
function landingpress_wc_facebook_pixel_event_checkout() {
	landingpress_facebook_pixel_set_event( 'InitiateCheckout' );
}

add_action( 'woocommerce_thankyou', 'landingpress_wc_facebook_pixel_event_purchase' );
function landingpress_wc_facebook_pixel_event_purchase( $order_id = false ) {
	if( $order_id != false ) {
		$order = new WC_Order_Factory();
		$order = $order->get_order( $order_id );
		$status = $order->get_status();

		// on-hold, pending, processing, completed, cancelled, refunded, failed
		$fb_purchase = false;
		if ( 'completed' == $status || 'processing' == $status ) {
			$fb_purchase = true;
		}
		elseif ( 'on-hold' == $status || 'pending' == $status ) {
			if ( get_theme_mod('landingpress_wc_fb_pixel_purchase_pending') ) {
				$fb_purchase = true;
			}
			else {
				$fb_purchase = false;
				landingpress_facebook_pixel_set_event( 'AddPaymentInfo' );
			}
		}

		if ( $fb_purchase ) {
			$value = $order->calculate_totals();
			$currency = $order->get_order_currency();
			landingpress_facebook_pixel_set_event( 'Purchase' );
			landingpress_facebook_pixel_set_data( array( 
				'value' => $value,
				'currency' => $currency
			) );
		}
	}
}

add_action( 'wp', 'landingpress_wc_setup_shop_page' );
function landingpress_wc_setup_shop_page() {
	add_filter( 'loop_shop_columns', 'landingpress_wc_shop_columns', 20 );
	add_filter( 'body_class', 'landingpress_wc_body_class_product_columns' );
	if( get_theme_mod( 'landingpress_wc_shop_breadcrumb_disable' ) ) {
		if ( !is_product() ) {
			remove_action( 'woocommerce_before_main_content', 'woocommerce_breadcrumb', 20, 0 );
		}
	}
	if( get_theme_mod( 'landingpress_wc_shop_page_title_disable' ) ) {
		if ( !is_product() && !is_search() && !is_tax() ) {
			add_filter( 'woocommerce_show_page_title', '__return_false' );
		}
	}
	if( get_theme_mod( 'landingpress_wc_shop_result_count_disable' ) ) {
		remove_action( 'woocommerce_before_shop_loop', 'woocommerce_result_count', 20 );
	}
	if( get_theme_mod( 'landingpress_wc_shop_catalog_ordering_disable' ) ) {
		remove_action( 'woocommerce_before_shop_loop', 'woocommerce_catalog_ordering', 30 );
	}
	if( get_theme_mod( 'landingpress_wc_shop_saleflash_disable' ) ) {
		remove_action( 'woocommerce_before_shop_loop_item_title', 'woocommerce_show_product_loop_sale_flash', 10 );
	}
	if( get_theme_mod( 'landingpress_wc_shop_title_disable' ) ) {
		remove_action( 'woocommerce_shop_loop_item_title', 'woocommerce_template_loop_product_title', 10 );
	}
	if( get_theme_mod( 'landingpress_wc_shop_rating_disable' ) ) {
		remove_action( 'woocommerce_after_shop_loop_item_title', 'woocommerce_template_loop_rating', 5 );
	}
	if( get_theme_mod( 'landingpress_wc_shop_price_disable' ) ) {
		remove_action( 'woocommerce_after_shop_loop_item_title', 'woocommerce_template_loop_price', 10 );
	}
	if( get_theme_mod( 'landingpress_wc_shop_addtocart_disable' ) ) {
		remove_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_add_to_cart', 10 );
	}
}

add_filter( 'loop_shop_per_page', 'landingpress_wc_shop_products_per_page', 20 );
function landingpress_wc_shop_products_per_page( $number ) {
	$per_page = intval( get_theme_mod( 'landingpress_wc_shop_number' ) );
	if ( $per_page < 1 ) $per_page = 12;
	return $per_page;
}
function landingpress_wc_shop_columns( $columns ) {
	$columns = intval( get_theme_mod( 'landingpress_wc_shop_columns' ) );
	if ( $columns < 1 ) $columns = 4;
	if ( $columns > 6 ) $columns = 6;
	return $columns;
}
function landingpress_wc_body_class_product_columns( $classes ) {
	if ( is_woocommerce() && ! is_product() ) {
		$columns = apply_filters( 'loop_shop_columns', 4 );
		if ( $columns < 1 ) $columns = 4;
		if ( $columns > 6 ) $columns = 6;
		$classes[] = 'columns-' . $columns;
	}
	return $classes;
}

add_filter('pre_option_woocommerce_cart_redirect_after_add', 'landingpress_wc_cart_redirect_after_add' ); 
function landingpress_wc_cart_redirect_after_add( $option ) {
	return 'yes';
}

add_filter('pre_option_woocommerce_enable_ajax_add_to_cart', 'landingpress_wc_enable_ajax_add_to_cart' ); 
function landingpress_wc_enable_ajax_add_to_cart( $option ) {
	return 'no';
}

add_filter('pre_option_woocommerce_enable_shipping_calc', 'landingpress_wc_enable_shipping_calc' ); 
function landingpress_wc_enable_shipping_calc( $option ) {
	return 'no';
}

add_filter('pre_option_woocommerce_shipping_cost_requires_address', 'landingpress_wc_shipping_cost_requires_address' ); 
function landingpress_wc_shipping_cost_requires_address( $option ) {
	return 'yes';
}

add_filter('woocommerce_cart_no_shipping_available_html', 'landingpress_wc_cart_no_shipping_available_html' ); 
function landingpress_wc_cart_no_shipping_available_html() {
	return __('Proceed to checkout to calculate shipping...', 'landingpress');
}

add_filter('woocommerce_no_shipping_available_html', 'landingpress_wc_no_shipping_available_html' ); 
function landingpress_wc_no_shipping_available_html() {
	return __('No shipping available <br/> Please check your address...', 'landingpress');
}

add_action( 'wp', 'landingpress_wc_setup_product_page' );
function landingpress_wc_setup_product_page() {
	if( get_theme_mod( 'landingpress_wc_product_breadcrumb_disable' ) ) {
		if ( is_product() ) {
			remove_action( 'woocommerce_before_main_content', 'woocommerce_breadcrumb', 20, 0 );
		}
	}
	if( get_theme_mod( 'landingpress_wc_product_saleflash_disable' ) ) {
		remove_action( 'woocommerce_before_single_product_summary', 'woocommerce_show_product_sale_flash', 10 );
	}
	add_filter( 'woocommerce_product_thumbnails_columns', 'landingpress_wc_product_thumb_columns', 20 );
	if( get_theme_mod( 'landingpress_wc_product_title_disable' ) ){
		remove_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_title', 5 );
	}
	if( get_theme_mod( 'landingpress_wc_product_rating_disable' ) ){
		remove_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_rating', 10 );
	}
	if( get_theme_mod( 'landingpress_wc_product_price_disable' ) ) {
		remove_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_price', 10 );
	}
	if( get_theme_mod( 'landingpress_wc_product_excerpt_disable' ) ){
		remove_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_excerpt', 20 );
	}
	if( get_theme_mod( 'landingpress_wc_product_addtocart_disable' ) ) {
		remove_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_add_to_cart', 30 );
	}
	if( get_theme_mod( 'landingpress_wc_product_meta_disable' ) ) {
		remove_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_meta', 40 );
	}
	if( get_theme_mod( 'landingpress_wc_product_upsells_disable' ) ) {
		remove_action( 'woocommerce_after_single_product_summary', 'woocommerce_upsell_display', 15 );
	}
	if( get_theme_mod( 'landingpress_wc_product_related_disable' ) ) {
		remove_action( 'woocommerce_after_single_product_summary', 'woocommerce_output_related_products', 20 );
	}
	add_filter( 'woocommerce_product_description_heading', '__return_false' );
}

function landingpress_wc_product_thumb_columns( $columns ) {
	$columns = intval( get_theme_mod( 'landingpress_wc_product_thumb_columns' ) );
	if ( $columns < 1 ) $columns = 3;
	if ( $columns > 5 ) $columns = 5;
	return $columns;
}

add_filter( 'woocommerce_product_tabs', 'landingpress_wc_product_tabs', 99 );
function landingpress_wc_product_tabs( $tabs ) {
	if( get_theme_mod( 'landingpress_wc_product_description_disable' ) ) {
		unset( $tabs['description'] );
	}
	if( get_theme_mod( 'landingpress_wc_product_attributes_disable' ) ) {
		unset( $tabs['additional_information'] );
	}
	if( get_theme_mod( 'landingpress_wc_product_reviews_disable' ) ) {
	    unset( $tabs['reviews'] );
	}
    return $tabs;
}

add_filter( 'woocommerce_related_products_args', 'landingpress_wc_related_products_args' );
function landingpress_wc_related_products_args() {
	$posts_per_page = 4;
	$args = array(
		'post_type' => 'product',
		'posts_per_page' => $posts_per_page
	);
	return $args;
}

function woocommerce_upsell_display( $posts_per_page = 4, $columns = 4, $orderby = 'rand' ) {
	$posts_per_page = 4;
	woocommerce_get_template( 'single-product/up-sells.php', array(
		'posts_per_page'  => $posts_per_page,
		'orderby'    => $orderby,
		'columns'    => $columns
	) );
}

add_action( 'wp', 'landingpress_wc_setup_cart_page' );
function landingpress_wc_setup_cart_page() {
	if( get_theme_mod( 'landingpress_wc_cart_crosssells_disable' ) ) {
		remove_action( 'woocommerce_cart_collaterals', 'woocommerce_cross_sell_display' );
	}
}

// add_action( 'wp', 'landingpress_wc_setup_checkout_page' );
function landingpress_wc_setup_checkout_page() {
	if ( is_checkout() ) {
		add_filter('landingpress_is_menu_active', '__return_false');
		add_filter('landingpress_is_footerwidgets_active', '__return_false');
	}
}

function landingpress_wc_product_post_class( $classes ) {
	if ( 'product' == get_post_type() ) {
		$classes[] = 'product';
	}
	return $classes;
}

add_filter( 'woocommerce_product_add_to_cart_text' , 'landingpress_wc_product_add_to_cart_text' );
function landingpress_wc_product_add_to_cart_text( $text ) {
	global $product;
	$product_type = $product->product_type;
	switch ( $product_type ) {
		case 'external':
			return $text;
		break;
		case 'grouped':
			return $text;
		break;
		case 'simple':
			if ( $text_new = get_theme_mod('landingpress_wc_shop_text_addtocart') ) {
				return $text_new;
			}
			return $text;
		break;
		case 'variable':
			if ( $text_new = get_theme_mod('landingpress_wc_shop_text_selectoptions') ) {
				return $text_new;
			}
			return $text;
		break;
		default:
			if ( $text_new = get_theme_mod('landingpress_wc_shop_text_readmore') ) {
				return $text_new;
			}
			return $text;
	}
}

add_filter( 'woocommerce_product_single_add_to_cart_text', 'landingpress_wc_product_single_add_to_cart_text' ); 
function landingpress_wc_product_single_add_to_cart_text( $text ) {
	if ( $text_new = get_theme_mod('landingpress_wc_product_text_addtocart') ) {
		return $text_new;
	}
	return $text;
}

add_filter( 'woocommerce_order_button_text', 'landingpress_wc_checkout_order_button_text' ); 
function landingpress_wc_checkout_order_button_text( $text ) {
	if ( $text_new = get_theme_mod('landingpress_wc_checkout_text_order') ) {
		return $text_new;
	}
	return $text;
}

function woocommerce_button_proceed_to_checkout() {
	if ( $text_new = get_theme_mod('landingpress_wc_cart_text_checkout') ) {
		echo '<a href="'.esc_url( wc_get_checkout_url() ).'" class="checkout-button button alt wc-forward">'.$text_new.'</a>';
	}
	else {
		wc_get_template( 'cart/proceed-to-checkout-button.php' );
	}
}

add_filter( 'woocommerce_paypal_icon', 'landingpress_wc_checkout_icon_paypal' );
function landingpress_wc_checkout_icon_paypal( $icon ) {
	if ( $icon_new = get_theme_mod('landingpress_wc_checkout_icon_paypal') ) {
		return $icon_new;
	}
	return $icon;
}
