<?php
/**
 * The main template file.
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package LandingPress
 */

get_header(); ?>

<div id="primary" class="content-area">
	<main id="main" class="site-main">

	<?php if ( have_posts() ) : ?>

		<?php do_action( 'landingpress_content_before' ); ?>

		<?php $i = 1; ?>
		<?php while ( have_posts() ) : the_post(); ?>
			<?php $row = $i; ?>

			<?php do_action( 'landingpress_entry_before' ); ?>

			<?php get_template_part( 'content' ); ?>

			<?php do_action( 'landingpress_entry_after' ); ?>

			<?php do_action( 'landingpress_entry_after_row'.$row ); ?>

			<?php $i++; ?>
		<?php endwhile; ?>

		<?php echo landingpress_get_paginate_links(); ?>

		<?php do_action( 'landingpress_content_after' ); ?>

	<?php else : ?>

		<?php get_template_part( 'content', 'none' ); ?>

	<?php endif; ?>

	</main>
</div>

<?php if ( landingpress_is_sidebar_active() ) get_sidebar(); ?>
<?php get_footer(); ?>
